function CheckUpstream(I,J,K) Result(Answer)

use CommonVars, only: Prec,SaliNodeTypes,TempNodeTypes,              &
   PresNodeTypes,NumNodesX,NumNodesZ
implicit none
integer :: UpstreamBnd,Answer,I,J,K

UpstreamBnd = 0
if ((SaliNodeTypes(I,J,K)=='U').or. &
   (TempNodeTypes(I,J,K)=='U').or. &
   (PresNodeTypes(I,J,K)=='U')) then
   UpstreamBnd = 1
end if
if ((UpstreamBnd==0).and.(I>1)) then
   if ((SaliNodeTypes(I-1,J,K)=='U').or. &
      (TempNodeTypes(I-1,J,K)=='U').or. &
      (PresNodeTypes(I-1,J,K)=='U')) then
      UpstreamBnd = 1
   end if
end if
if ((UpstreamBnd==0).and.(I<NumNodesX)) then
   if ((SaliNodeTypes(I+1,J,K)=='U').or. &
      (TempNodeTypes(I+1,J,K)=='U').or. &
      (PresNodeTypes(I+1,J,K)=='U')) then
      UpstreamBnd = 1
   end if
end if
if ((UpstreamBnd==0).and.(K>1)) then
   if ((SaliNodeTypes(I,J,K-1)=='U').or. &
      (TempNodeTypes(I,J,K-1)=='U').or. &
      (PresNodeTypes(I,J,K-1)=='U')) then
      UpstreamBnd = 1
   end if
end if
if ((UpstreamBnd==0).and.(K<NumNodesZ)) then
   if ((SaliNodeTypes(I,J,K+1)=='U').or. &
      (TempNodeTypes(I,J,K+1)=='U').or. &
      (PresNodeTypes(I,J,K+1)=='U')) then
      UpstreamBnd = 1
   end if
end if

Answer = UpstreamBnd
end
