subroutine ConvertSali
! Purpose: to convert the bulk salinities into fractions instead 
!          of percentages

use CommonVars, only: Prec,NumNodesX,NumNodesY,NumNodesZ,Sali, &
    SaliNodeTypes,SaliBoundVals
implicit none
integer :: I,J,K

do I=1,NumNodesX
   do J=1,NumNodesY
      do K=1,NumNodesZ
         Sali(I,J,K) = Sali(I,J,K)/1.D2
         if ((SaliNodeTypes(I,J,K)=='U').or. &
             (SaliNodeTypes(I,J,K)=='C')) then
            SaliBoundVals(I,J,K)=SaliBoundVals(I,J,K)/1.D2
         end if
      end do
   end do
end do

end
