function MassError(I,J,K)

use CommonVars, only: Prec,PrevMass,XNodeWidths,YNodeWidths,         &
   ZNodeWidths,Temp,Pres,Sali,Porosities,DeltaMassLocal,OldTemp,     &
   OldPres,OldSali,PhaseIndices
implicit none
real(selected_real_kind(Prec)) :: MassError,MassIn,TotalVolume,Dens, &
   CurrentMass,CalcBulkDens,MassGain
integer :: I,J,K

TotalVolume = XNodeWidths(I)*YNodeWidths(J)*ZNodeWidths(K)
Dens = CalcBulkDens(Temp(I,J,K),Pres(I,J,K),Sali(I,J,K))
CurrentMass = Dens*TotalVolume*Porosities(I,J,K)

MassGain = CurrentMass-PrevMass(I,J,K)
MassError = DABS(MassGain-MassIn(I,J,K))/PrevMass(I,J,K)
DeltaMassLocal(I,J,K) = MassIn(I,J,K)-MassGain
end
