recursive function S3PhaseV(Tempr) Result(Answer)

use CommonVars, only: TempArray,VapSali2Ph,Prec
implicit none
real(selected_real_kind(Prec)) :: Answer,Tempr,T1,T2,S1,S2,Slope
integer :: Row1,Row2

if (Tempr>=300.D0) then
   call FindTemp(Tempr,Row1,Row2)
   T1 = TempArray(Row1)
   T2 = TempArray(Row2)
   S1 = VapSali2Ph(Row1-30,75)
   S2 = VapSali2Ph(Row2-30,75)
   Slope = (S2-S1)/(T2-T1)
   Answer = (Slope*(Tempr-T1)+S1)/1.D2
else
   Answer = S3PhaseV(300.D0)
end if
end
!----------------------------------------------------------
recursive function S3PhaseL(Tempr) Result(Answer)

use CommonVars, only: TempArray,LiqSali2Ph,Prec
implicit none
real(selected_real_kind(Prec)) :: Tempr,T1,T2,S1,S2,Slope,Answer
integer :: Row1,Row2

if (Tempr>=300.D0) then
   call FindTemp(Tempr,Row1,Row2)
   T1 = TempArray(Row1)
   T2 = TempArray(Row2)
   S1 = LiqSali2Ph(Row1-30,75)
   S2 = LiqSali2Ph(Row2-30,75)
   Slope = (S2-S1)/(T2-T1)
   Answer = (Slope*(Tempr-T1)+S1)/1.D2
else
   Answer = S3PhaseL(300.D0) 
end if
end
