program InHelp

use CommonVars
implicit none
integer :: Choice,Counter,Flag,I,J

ComputeStaticPres = 0

! replace UserParams version with more recent
call UserParams

Flag = 0
do while (Flag==0)
   write(*,*) 'Select from the following menu: '
   write(*,*) '               0 number of nodes'
   write(*,*) '1 node widths (m)          8 pressure node types (C,F,U,I)'
   write(*,*) '2 node heights (m)         9 temperature node types'
   write(*,*) '3 permeabilities (m^2)    10 salinity node types'
   write(*,*) '4 pressures (Pa)          11 pressure boundary values'
   write(*,*) '5 temperatures (C)        12 temperature boundary values'
   write(*,*) '6 salinities (wt% NaCl)   13 salinity boundary values'
   write(*,*) '7 quit w/out writing      14 write and quit'
   write(*,*)
   write(*,*) 'Choice: '
   read(*,*) Choice
   if (Choice==7) then
      Flag = 1
   elseif (Choice==0) then
      write(*,*) 'Number of nodes in the x direction: '
      read(*,*) NumNodesX
      write(*,*) 'Number of nodes in the z direction: '
      read(*,*) NumNodesZ
      NumNodesY = 1
      call Initialize
   elseif (Choice==14) then
      Flag = 2
   elseif (Choice==1) then
      call SetNodeWidths(XNodeWidths)
   elseif (Choice==2) then
      call SetNodeHeights(ZNodeWidths)
   elseif (Choice==3) then
      call FillMatrix(XNodeWidths,ZNodeWidths,RockPerms,Choice)
   elseif (Choice==4) then
      call FillMatrix(XNodeWidths,ZNodeWidths,Pres,Choice)
   elseif (Choice==5) then
      call FillMatrix(XNodeWidths,ZNodeWidths,Temp,Choice)
   elseif (Choice==6) then
      call FillMatrix(XNodeWidths,ZNodeWidths,Sali,Choice)
   elseif (Choice==11) then
      call FillMatrix(XNodeWidths,ZNodeWidths,PresBoundVals,Choice)
   elseif (Choice==12) then
      call FillMatrix(XNodeWidths,ZNodeWidths,TempBoundVals,Choice)
   elseif (Choice==13) then
      call FillMatrix(XNodeWidths,ZNodeWidths,SaliBoundVals,Choice)
   elseif (Choice==8) then
      call PutNodeTypes(PresNodeTypes)
   elseif (Choice==9) then
      call PutNodeTypes(TempNodeTypes)
   elseif (Choice==10) then
      call PutNodeTypes(SaliNodeTypes)
   end if
end do

if (Flag==2) then
   call WriteInFile0
   call WriteInFile1
end if

end
