subroutine WriteInFile1

use CommonVars
implicit none
integer :: Row,Col

open(unit=10,file='InFile1.new')

20 format(2000E15.8) ! Pressures
30 format(2000E14.7) ! Temperatures
40 format(2000E12.5) ! Salinities
60 format(2000A1)    ! Node Types

10 format(T1,A)
write(10,10) &
   'Node Types ([C]onstant Boundary, [F]lux Boundary, [U]pwind Boundary,'
write(10,10) &
   '            [I]nterior Node'
write(10,10) 'Pressure Node Types'
do Row=1,NumNodesZ
   write(10,60) (PresNodeTypes(Col,1,Row),' ',Col=1,NumNodesX)
end do

write(10,10) 'Temperature Node Types'
do Row=1,NumNodesZ
   write(10,60) (TempNodeTypes(Col,1,Row),' ',Col=1,NumNodesX)
end do

write(10,10) 'Salinity Node Types'
do Row=1,NumNodesZ
   write(10,60) (SaliNodeTypes(Col,1,Row),' ',Col=1,NumNodesX)
end do

write(10,10) 'Pressure Boundary Values (0 = not a boundary)'
do Row=1,NumNodesZ
   write(10,20) (PresBoundVals(Col,1,Row),Col=1,NumNodesX)
end do

write(10,10) 'Temperature Boundary Values (0 = not a boundary)'
do Row=1,NumNodesZ
   write(10,30) (TempBoundVals(Col,1,Row),Col=1,NumNodesX)
end do

write(10,10) 'Salinity Boundary Values (0 = not a boundary)'
do Row=1,NumNodesZ
   write(10,40) (SaliBoundVals(Col,1,Row),Col=1,NumNodesX)
end do

close(10)
end
