subroutine OpenFile (FileName)
! Purpose:  To open the correct files for reading input and writing
! the initial and boundary conditions in OutFile0

use CommonVars, only: LogFile
implicit none
character FileName*80
logical FileExists

if (FileName=='InFile0') then
   inquire (file=FileName, exist=FileExists)
   if (FileExists) then
      open (7,file=FileName,status='old')
   else
      write (LogFile,'(A,A,A)') 'input file ',FileName,' not found!'
      STOP
   end if
elseif (FileName=='OutFile0') then
   open (8,file='OutFile0',status='replace')
elseif (FileName=='InFile1') then
   inquire (file=FileName, exist=FileExists)
   if (FileExists) then
      open (9,file=FileName,status='old')
   else
      write (LogFile,'(A,A,A)') 'input file ',FileName,' not found!'
   end if
end if

return
end
