subroutine RecordOldDens
! Purpose: To store the values of the bulk densities
!    for use during the next time step.

use CommonVars, only: NumNodesX,NumNodesY,NumNodesZ,  &
    OldDens,BulkDens
 
implicit none
integer I,J,K

do I=1,NumNodesX
   do J=1,NumNodesY
      do K=1,NumNodesZ
         OldDens(I,J,K)=BulkDens(I,J,K)
      end do
   end do
end do

end
