subroutine RecordOldEnth
! Purpose: To store the values of the bulk enthalpies 
!    for use during the next time step.

use CommonVars, only: NumNodesX,NumNodesY,NumNodesZ,  &
    OldEnth,BulkEnth
 
implicit none
integer I,J,K

do I=1,NumNodesX
   do J=1,NumNodesY
      do K=1,NumNodesZ
         OldEnth(I,J,K)=BulkEnth(I,J,K)
      end do
   end do
end do

end
