subroutine OpenFile (FileName)
! *****************

! ------------------------------------------------------------------
! Last revised by D.O.H. on  4/04/91
! Last revised by W.XU. on  3/07/94
! Rewritten by Kayla Lewis

! Purpose:  To open the correct files for reading input and writing
! the results.

implicit none
character FileName*80
logical FileExists

if (FileName=='InFile0') then
   inquire (file=FileName, exist=FileExists)
   if (FileExists) then
      open (7,file=FileName,status='old')
   else
      write (*,'(A,A,A)') '**** INPUT FILE ',FileName,' NOT FOUND ****'
      STOP
   end if
elseif (FileName=='OutFile0') then
   open (8,file='OutFile0',status='replace')
elseif (FileName=='InFile1') then
   inquire (file=FileName, exist=FileExists)
   if (FileExists) then
      open (9,file=FileName,status='old')
   else
      write (*,'(A,A,A)') '**** INPUT FILE ',FileName,' NOT FOUND ****'
   end if
end if

return
end
