program SurfSample

implicit none
integer, parameter :: MaxX = 1000
real :: SurfTemps(300),SurfSals(300),Times(300),TempRow(MaxX), &
        SaliRow(MaxX)
character :: Label(5)
integer :: J,EOF,Counter,Flag,ColChoice,NumNodesX

open(unit=9, file='InFile0',status='old')
open(unit=10,file='OutFile1',status='old')
open(unit=11,file='Times.dat')
open(unit=12,file='SurfTemps.dat')
open(unit=13,file='SurfSals.dat')

read(9,*) 
read(9,*) NumNodesX

write(*,*) 'Select sampling column: '
read (*,*) ColChoice

Counter = 1
EOF = 0
do while (EOF==0)
   read(10,10,IOSTAT=EOF) (Label(J),J=1,5)
   10 format(5A)
   if ((Label(1)=='P').and.(Label(5)=='t')) then
      backspace(10)
      read(10,20) Times(Counter)
      20 format(T27,E20.15)
      write(11,*) Times(Counter)
      Flag = 0
      do while (Flag==0) 
         read(10,30) (Label(J),J=1,5)
         30 format(T6,5A)
         if ((Label(1)=='T').and.(Label(5)=='e')) then
            Flag = 1
         end if
      end do
      read(10,*)
      read(10,*)
      read(10,*) (TempRow(J),J=1,NumNodesX)
      SurfTemps(Counter)=TempRow(ColChoice)
      write(12,*) SurfTemps(Counter)
      Flag = 0
      do while (Flag==0)
         read(10,30) (Label(J),J=1,5)
         if ((Label(1)=='S').and.(Label(5)=='n')) then
            Flag = 1
         end if
      end do
      read(10,*)
      read(10,*)
      read(10,*) (SaliRow(J),J=1,NumNodesX)
      SurfSals(Counter)=SaliRow(ColChoice)
      write(13,*) SurfSals(Counter)
      Counter = Counter + 1
   end if
end do

close(9)
close(10)
close(11)
close(12)
close(13)
end
